const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '首页', leftArrow: false, useBar: true },
        user: {},
        //查询条件
        searchInfo: {},
        list: []
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    // 查询
    search: function (e) {
        const that = this;
        that.setData({ 'searchInfo.name': e.detail.value });
        that.watchLogin()
    },
    toView: function (e) {
        const { item } = e.currentTarget.dataset;
        wx.navigateTo({ url: `/pages/matchInfo/index?id=${item._id}` })
    },
    // 公共方法
    toCommon: function (e) {
        const { route } = e.currentTarget.dataset;
        wx.navigateTo({ url: route })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.watchLogin()
    },
    watchLogin: function () {
        const that = this;
        let searchInfo = that.data.searchInfo;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                that.setData({ user: res.data })
                let info = { skip: 0, limit: 1000 };
                if (searchInfo && searchInfo.name) info.name = searchInfo.name;
                const arr = await app.$get(`/newCourt/api/match`, { ...info });
                if (arr.errcode == '0') {
                    that.setData({ list: arr.data })
                } else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
            },
            fail: async (res) => {
                wx.redirectTo({ url: '/pages/index/index' });
            },
        });
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },

    test(){
        wx.navigateTo({
          url: '/pages/f6test/index',
        })
    }
})